---
lang: en
title: 'API docs: rest.restserver.addopenapispecendpoint'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restserver.addopenapispecendpoint.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestServer](./rest.restserver.md) &gt; [addOpenApiSpecEndpoint](./rest.restserver.addopenapispecendpoint.md)

## RestServer.addOpenApiSpecEndpoint() method

Add a new non-controller endpoint hosting a form of the OpenAPI spec.

**Signature:**

```typescript
addOpenApiSpecEndpoint(path: string, form: OpenApiSpecForm, router?: express.Router): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

path


</td><td>

string


</td><td>

Path at which to host the copy of the OpenAPI


</td></tr>
<tr><td>

form


</td><td>

[OpenApiSpecForm](./rest.openapispecform.md)


</td><td>

Form that should be rendered from that path


</td></tr>
<tr><td>

router


</td><td>

express.Router


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

**Returns:**

void


